SpriteLibrary

Sprite payload Field

A Sprite can hold a payload. Use this to store extra information about the various Sprites. Health, Armor, Shoot time, etc. But, to store information in the payload, you need to make a new class of SpritePayload. The syntax for doing so is:
Copy

    public class TankPayload : SpritePayload {  public int Armor; public int Speed; }

You can access the payload and retrieve the various values.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public SpritePayload payload

#### Field Value

Type: SpritePayload
See Also

#### Reference

Sprite Class
SpriteLibrary Namespace